Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07540 Sound Minor Always Jan 7, 2020, 20:35 Jan 11, 2020, 02:16
Tester Zaphod View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Acknowledged Driver cclimber.cpp
Version 0.217 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07540: ckongpt2: Incorrect envelopes for sounds in all crazy kong variants on crazy climber hardware.
Description The musical notes decay too quickly in mame, and have for ages.

real board video here.



in mame the level end tune sounds very different. there is much more sustain between the notes in it on the real hardware, creating a nice reverb imitation that can clearly be heard. Mame clearly goes duh-duh-duh, duh-duh-duh-duh,duh-duh-duh-duh, duh-duh duh duh... while the arcade goes more like duhuhuh, duh-duhuhuh, duh-duhuhuh, duh-duh duh duh.

The odd thing is that the very early emulation sounded correct to me, but ever since the psg emulation was "fixed", it's sounded wrong in these games.

I'm not sure what the issue is, but you can clearly hear the sound difference in how it sounds versus MAME. And the video agrees with how i remember donkey king sounding when i saw it back in the day as well.
Steps To Reproduce Play game. beat level 1 or any other level. happens every time.
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems ckongpt2
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17339
Tafoid
Administrator
Jan 9, 2020, 10:20
There could be (and likely is) missing AY 8910 discrete filtering involved.
Setting to acknowledged
User avatar
No.17347
Zaphod
Tester
Jan 11, 2020, 02:16
could be, but as i said, the early emulations of the game didn't have the filtering either, and the audio sounded right to me. that's what's puzzling me. i don't see how filtering would extend sustain. strange.